/**
 * web页面调用WPS加载项的方法入口
 *  * info参数结构
 * info:[
 *      {
 *       '方法名':'方法参数',需要执行的方法
 *     },
 *     ...
 *   ]
 * @param {*} info
 */
function dispatcher(info) {
	var funcs = info.funcs
	setTimeout(() => {
		for (var index = 0; index < funcs.length; index++) {
			var func = funcs[index]
			for (var key in func) {
				var params = func[key]

				wps.Application.UserName = params.userName
				initAuthParams(params)

				if (key === 'OpenDoc') {
					// OpenDoc 属于普通的打开文档的操作方式，文档落地操作
					OpenDoc(func[key]) //进入打开文档处理函数
				}
			}
		}
	}, 100)

	//兼容处理心跳
	Heart && Heart.OASystemOnLine() //Date.now() + 10e3);
	return { message: 'ok', app: wps.Application.Name }
}

///打开来自OA端传递来的文档
function OpenDoc(OaParams) {
	GetToken().then(function () {
		OpenFile(OaParams)
	})
}
